/// YApi QuickType插件生成，具体参考文档:https://plugins.jetbrains.com/plugin/18847-yapi-quicktype/documentation

import 'dart:convert';

import 'package:widgets/load_state_layout.dart';

class RewardsDetailState {
  //页面 LoadView 状态的展示
  LoadState loadingState;
  String? errorMessage;
  List<Map<String, dynamic>>? list;

  RewardsDetailState({
    this.loadingState = LoadState.State_Loading,
    String? errorMessage,
    required this.list,
  });

  RewardsDetailState copyWith({
    LoadState? loadingState,
    String? errorMessage,
    List<Map<String, dynamic>>? list,
  }) {
    return RewardsDetailState(
      loadingState: loadingState ?? this.loadingState,
      errorMessage: errorMessage ?? this.errorMessage,
      list: list ?? this.list,
    );
  }

  Map<String, dynamic> toMap() {
    return {
      'list': this.list,
    };
  }

  factory RewardsDetailState.fromMap(Map<String, dynamic> map) {
    return RewardsDetailState(list: map['list'] as List<Map<String, dynamic>>);
  }
}
